> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reeple.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all gift cards

> List gift cards bought by your business

Retrieve a list of gift cards bought by your business.

## Endpoint

```
GET https://api-v3.reeple.ai/giftcards
```

## Query parameters

| Field        | Type   | Description                                                                 |
| ------------ | ------ | --------------------------------------------------------------------------- |
| `businessId` | String | **Required.** Unique identifier for the business associated with the cards. |
| `customerId` | String | Optional. Unique identifier of the customer to filter by.                   |

```bash theme={null}
curl -X GET "https://api-v3.reeple.ai/giftcards?businessId=0bb1dfc6-a74c-4e53-b41a-4a0c1eab188e" \
  -H "api-key: YOUR_SECRET_KEY"
```
